Inspect

Update skill

Update or rename a skill. Omitted fields are unchanged. `files` replaces the complete file set and must include `SKILL.md`; `content` replaces only `SKILL.md`. Renaming updates references from user settings and custom agents. Only the owner, a collaborator, or an admin can update a skill; built-in skills are read-only.

Base URL
PATCH
/api/public/v1/skills/{skill_id}

Update or rename a skill. Omitted fields are unchanged. files replaces the complete file set and must include SKILL.md; content replaces only SKILL.md. Renaming updates references from user settings and custom agents. Only the owner, a collaborator, or an admin can update a skill; built-in skills are read-only.

Authorization

bearerAuth
headerAuthorizationBearer <token>

API key authentication. Use your API key as the bearer token.

Path Parameters

skill_id*string

Current skill ID

Request Body

application/json
  1. body

At least one field must be provided. Provide either content or files, not both.

Properties1 <= properties
id?Skills.SkillId

New skill ID, to rename the skill

Match^[a-z0-9-]+$
Length1 <= length <= 100
description?string
Lengthlength <= 2000
content?string

Replacement SKILL.md body. Mutually exclusive with files.

files?array<>

Replacement for the complete file set, including SKILL.md. Mutually exclusive with content. At most 20 files and 20 MB in total.

Itemsitems <= 20
collaborator_ids?array<>

Replacement collaborator list

Response Body

Skill updated

application/json
  1. response
data*
Example Request
curl -X PATCH 'https://your-org.inspect.com/api/public/v1/skills/string' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "data": {    "id": "string",    "url": "http://example.com",    "description": "string",    "files": [      {        "name": "string",        "content": "string"      }    ],    "is_builtin": true,    "owner": {      "id": "string",      "name": "string",      "email": "string",      "image": "string"    },    "collaborators": [      {        "id": "string",        "name": "string",        "email": "string",        "image": "string"      }    ],    "viewer_can_edit": true,    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z"  }}